/*
 *  MMSBaseMessages.h
 *  MMSBase
 *
 *  Created by John Fox on 5/12/05.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */

#import "MMSDefaults.h"

//
// Localizable formats and strings
//

#define MMS_STRING_BYTES_FORMAT_STRING NSLocalizedStringFromTableInBundle(@"%i bytes", nil, [NSBundle bundleForClass: [MMSDefaults class]], "Pretty display number of bytes")

#define MMS_STRING_KBYTES_FORMAT_STRING NSLocalizedStringFromTableInBundle(@"%.2f KB", nil, [NSBundle bundleForClass: [MMSDefaults class]], "Pretty display number of kilobytes")

#define MMS_STRING_MBYTES_FORMAT_STRING NSLocalizedStringFromTableInBundle(@"%.2f MB", nil, [NSBundle bundleForClass: [MMSDefaults class]], "Pretty display number of megabytes")

#define MMS_STRING_GBYTES_FORMAT_STRING NSLocalizedStringFromTableInBundle(@"%.2f GB", nil, [NSBundle bundleForClass: [MMSDefaults class]], "Pretty display number of gigabytes")

#define MMS_STRING_TBYTES_FORMAT_STRING NSLocalizedStringFromTableInBundle(@"%.2f TB", nil, [NSBundle bundleForClass: [MMSDefaults class]], "Pretty display number of terabytes")

#define MMS_STRING_PBYTES_FORMAT_STRING NSLocalizedStringFromTableInBundle(@"%.2f PB", nil, [NSBundle bundleForClass: [MMSDefaults class]], "Pretty display number of petabytes")

#define MMS_UNKOWN_DATE_STRING NSLocalizedString(@"unspecifiedDateLabel", "")

#define MMS_UNKOWN_LOCATION_STRING NSLocalizedString(@"unspecifiedLocationLabel", "")

#define MMS_UNSPECIFIED_LABEL_STRING NSLocalizedStringFromTableInBundle(@"-Unspecified-", nil, [NSBundle bundleForClass: [MMSDefaults class]], "Label to be inserted at index 0 in a popup list or elsehwere.")
