//
//  MMSIconImageOperation.h
//  MMSBase
//
//  Created by John Fox on 10/23/09.
//  Copyright 2009 GroupSmarts, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MMSPhoto.h"


@interface MMSIconImageOperation : NSOperation 
{
	NSString *thumbnailPath;
	NSString *objectID;
	
	BOOL isExecuting;
    BOOL isFinished;
	BOOL shouldStoreFile;
}

@property (retain) NSString *thumbnailPath;
@property (retain) NSString *objectID;

@property (readonly) BOOL isExecuting;
@property (readonly) BOOL isFinished;
@property  BOOL shouldStoreFile;

+ (id)newWithWithPhotoID:(NSString *)anObjectID;

- (id)initWithThumbnailPath:(NSString *)aPath;

- (void)finish;


@end
