//
//  NSView_Categories.h
//  MemoryMiner
//
//  Created by John Fox on 12/12/04.
//  Copyright 2004 MemoryMiner Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSView (ScaleUtilities)

- (void)drawBevelAroundRect:(NSRect)aRect;
- (void)drawTextureImage:(NSImage *)aTextureImage
                  inRect:(NSRect)aRect;

- (NSSize)scale;
- (void)setScale:(NSSize) newScale;
- (void)resetScaling;

- (CGFloat)scalePercent;
- (void)setScalePercent:(CGFloat) scale;

- (NSView *)subviewOfClass:(Class)aClass;

- (NSPoint)boundsOrigin;

@end

