//
//  NSXMLNode_Categories.h
//  MMSBase
//
//  Created by John Fox on 4/19/08.
//  Copyright 2008 GroupSmarts, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSXMLNode (MMSCategories) 

- (id)parsedObjectValue;
- (NSDictionary *)entityDict;
- (NSArray *)entityDictArray;
- (BOOL)isDictionaryNode;
- (BOOL)isAttributeOnlyNode;
- (BOOL)isArrayNode;
- (NSDictionary *)infoDictFromAttributeValues;

@end
