var isIE = navigator.appVersion.indexOf("MSIE") >= 0;
var isFF3 = checkFF3();
var photosArray = new Array();
var peopleHash = new Hash();
var placesHash = new Hash();
var totalPhotoCount;
var storyName = "";
var storyAuthor;
var currentlyDisplayedPhotos;
var THUMBNAIL_HEIGHT = 96;
var PEOPLE_ICON_HEIGHT = 96;

var preloadHash = new Hash();

function identifyClient()
{
	isIE = navigator.appVersion.indexOf("MSIE") >= 0;
};

function checkFF3()
{
	if (/Firefox[\/\s](\d+\.\d+)/.test(navigator.userAgent))
	{ //test for Firefox/x.x or Firefox x.x (ignoring remaining digits);
        var ffversion = new Number(RegExp.$1) // capture x.x portion and store as a number
        if (ffversion>=3)
        return true;
    }
    
    return false;
}

function log(aString)
{
    var myTextArea = $('consoleTextArea');
        
    if (myTextArea)
    {
        if (!isIE && (window.console != undefined))
        {
            window.console.log(aString);
        
        }
        else
        {
            var myTextVal = myTextArea.value;
           
            myTextVal = myTextVal +'\n' +aString;
           
            myTextArea.value = myTextVal;
        }
    }
};

function loadDataFromFeedURL(aURL)
{
	var myRequest = createHTTPRequest();
	
    myRequest.onreadystatechange = function () {handleFeedDataLoad(myRequest);}

    myRequest.open("GET", aURL, true);
	//myRequest.setRequestHeader("Accept-Encoding", "gzip, deflate");

    myRequest.send("");
};

function handleFeedDataLoad(aRequest)
{
	var metaDataDOM;
	
	//log('here in handleFeedDataLoad aRequest.readyState is ' +aRequest.readyState);
	
    // only if aRequest shows "loaded"
    if (aRequest.readyState == 4) 
    {
		//log('here in handlXMLDataLoad aRequest.status is ' +aRequest.responseText);
		//log('here in handlXMLDataLoad aRequest.status is ' +aRequest.statusText);

		metaDataDOM = createDOMTreeFromRequest(aRequest);
		
		// For some reason .Mac web servers can vend out rss
		// files as octet streams			
		if (!metaDataDOM && (aRequest.responseText.length > 0))
		{
		    log('dom creation failed, try creating using DOMParser');
		    
		    var parser = new DOMParser();
            metaDataDOM = parser.parseFromString(aRequest.responseText,"text/xml");
            
            log('created the metaDataDOM' +metaDataDOM);
        }

		parseMediaObjectsDOM(metaDataDOM);

		// You only get a status when returned from an http server
		// we need to handle file:// requests as well
    	// only if "OK"
        if (aRequest.status == 200)
        {
        } 
        else
        {
//            log("There was a problem retrieving the XML data:\n" +aRequest.error);
        }
    }
};

function parseMediaObjectsDOM(aDOMTree)
{	
    var startDate = new Date();
    var interval;
    	
    var mmExportRoot = aDOMTree.getElementsByTagName("channel")[0];
	var myPhotos = $A(mmExportRoot.getElementsByTagName("item"));
	var firstItem = myPhotos[0];
	var storyLink = getElementTextNS("", "link", mmExportRoot, 0);
    var storyFeedURL = (storyLink +'/index.rss');
    
	log('will process ' +myPhotos.length +' photos');
	
    now = new Date()
	interval = (now.getTime() - (startDate.getTime()));
	log('took ' +(interval) +' mili-seconds to fetch all the RSS items');

	totalPhotoCount = myPhotos.length;
	
	storyName = getElementTextNS("", "title", mmExportRoot, 0);
	storyAuthor =  getElementTextNS("", "author", firstItem, 0);

    if (storyAuthor.indexOf('(') != -1)
    {
        storyAuthor = storyAuthor.split('(')[1].split(')')[0];
    }
    
	$('memoryAuthor').innerHTML = storyAuthor;
	$('memoryTitle').innerHTML = ('<a href=\"' +storyFeedURL +'\" target=\"_blank\"><img src=\"images/feedIcon.png\" border=\"0\" valign=\"bottom\"></a>' +storyName);

	//log('storyName is ' +storyName +' storyAuthor is ' +storyAuthor);
	document.title = (localizationHash.get('docTitle') + ': ' +storyName);
	
    var myHash;
    var myPhotoItem;
    var attachmentNodes;
    var selectionMarkerNodes;
    var locationNodes;
    var attachmentArray;
    var photoObjectID;
    var selectionMarkerArray;
    var locationNodes;
    var title;
    var relativeFileURL;
    var relativeThumbnailURL;
    var mediaThumbnailNode;
    var mediaContentNode;
    var pixelsHigh;
    var pixelsWide;
    var notes ;
    var creationDateString;
    var i = 0;
    
// 	for (var i = 0; i < myPhotos.length; i++)

    myPhotos.each(function(myPhotoItem)
    {
        myHash = new Hash();
        //myPhotoItem = myPhotos[i];

        if (isIE || isFF3)
        {
            selectionMarkerNodes = myPhotoItem.getElementsByTagName("annotation:marker");
            attachmentNodes = myPhotoItem.getElementsByTagName('annotation:attachment');
        }
        else
        {
            selectionMarkerNodes = myPhotoItem.getElementsByTagName("marker");
            attachmentNodes = myPhotoItem.getElementsByTagName('attachment');
        }

        photoObjectID = getElementTextNS("", "guid", myPhotoItem, 0, 'item');

        myHash.set('objectID', photoObjectID);
        
    	if (attachmentNodes.length > 0)
    	{
    		attachmentArray = parseAttachmentNodes(attachmentNodes);
   			myHash.set('attachments', attachmentArray);
    	}
    	    	
        var selectionMarkerNodes;
        
        if (isIE)
        {
            selectionMarkerNodes = myPhotoItem.getElementsByTagName("annotation:marker");
        }
        else
        {
		      selectionMarkerNodes = myPhotos[i].getElementsByTagNameNS("http://memoryminer.com/rss/annotation/", "marker");
        }
    	    	
        //log('will process ' +selectionMarkerNodes.length +' markers');

    	if (selectionMarkerNodes.length > 0)
    	{
    		selectionMarkerArray = parseSelectionMarkerNodes(selectionMarkerNodes, photoObjectID);
   			myHash.set('selectionMarkers', selectionMarkerArray);
    	}
    	
    	//log('will get locationNodes for photo with objectID ' +photoObjectID);
    	
		//locationNodes = myPhotoItem.getElementsByTagNameNS("http://www.georss.org/georss/", "*");   
		locationNodes = getElementsWithNS('georss', null, myPhotoItem);
				
    	if (locationNodes.length > 0)
    	{
    	   
            var locationID = locationNodes[0].childNodes[0].nodeValue.split(' ').join('_');
                        
    		parseLocationNodesForPhotoID(locationNodes, photoObjectID, locationID);
   			myHash.set('locationID', locationID);
    	}
        
        title = getElementTextNS("", "title", myPhotoItem, 0);
                        
        mediaThumbnailNode = getElementsWithNS('media', 'thumbnail', myPhotoItem)[0];
        mediaContentNode = getElementsWithNS('media', 'content', myPhotoItem)[0];
        
        //log('mediaThumbnailNode is ' +mediaThumbnailNode);
        
        //var mediaThumbnailNode = myPhotoItem.getElementsByTagNameNS("http://search.yahoo.com/mrss/", "thumbnail")[0];
        //var mediaContentNode = myPhotoItem.getElementsByTagNameNS("http://search.yahoo.com/mrss/", "content")[0];

        if (mediaThumbnailNode)
        {
            relativeThumbnailURL = mediaThumbnailNode.getAttribute("url");
            relativeThumbnailURL = ('Thumbnails' +relativeThumbnailURL.split('/Thumbnails')[1]);
            
            if (i < 10)
                preloadIMG(photoObjectID, relativeThumbnailURL, true);
        }
        
        if (mediaContentNode)
        {
            relativeFileURL = mediaContentNode.getAttribute("url");
            relativeFileURL = ('Photos' +relativeFileURL.split('/Photos')[1]);
            
            pixelsHigh = mediaContentNode.getAttribute("height");
            pixelsWide = mediaContentNode.getAttribute("width");
            
            if (i == 0)
                preloadIMG(photoObjectID, relativeFileURL, false);
        }

        notes = getElementTextNS("", "description", myPhotoItem, 0);
        creationDateString;
        
        if (isIE || isFF3)
        {
            var creationDateNodes = myPhotoItem.getElementsByTagName("dc:date.Taken");
            
            if (creationDateNodes.length > 0)
            {
                creationDateString = creationDateNodes[0].firstChild.nodeValue;
            }
        }
        else
            creationDateString = getElementTextNS(null, "date.Taken", myPhotoItem, 0);
        
        //log('notes is ' +notes);

        myHash.set('title', title);
        myHash.set('uuid', photoObjectID);
        myHash.set('pixelsHigh', pixelsHigh);
        myHash.set('pixelsWide', pixelsWide);
        myHash.set('notes', notes);
        //myHash.set('exportScaleFactor', exportScaleFactor);
        
        //log('creationDateString is ' +creationDateString);

        if (creationDateString)
        {
            creationDateString = creationDateString.replace(/T/, " ").replace(/Z/, "");
        }
        else
            creationDateString = "";        

        //log('creationDateString is after processing ' +creationDateString);

	   	myHash.set('creationDateString', creationDateString);
		myHash.set('relativeFileURL', relativeFileURL);
	   	myHash.set('relativeThumbnailURL', relativeThumbnailURL);
        
//		log('notes is ' +myHash.get('notes'));
				
		photosArray[photosArray.length] = myHash;

		//var scaleFactor = (parseFloat(pixelsHigh) / THUMBNAIL_HEIGHT);
        //var thumbWidth = (parseFloat(pixelsWide) / scaleFactor)

        //processThumbnail(relativeThumbnailURL, photoObjectID, 'interactivePictureList', 'pic-', 'loadPictureWithID', thumbWidth);
        
        processThumbnailUsingPhotoHash(myHash, 'interactivePictureList', 'pic-', 'loadPictureWithID');

        i++;
	});
	
	currentlyDisplayedPhotos = photosArray;
	
	log('completed parsing of XMLMetadata');
	
	// Maybe this should be passed in?
	
	now = new Date()
	interval = (now.getTime() - (startDate.getTime()));
	log('took ' +(interval/1000) +' seconds to parse the RSS');
	
	didFinishParsing();
};

function preloadIMG(aPhotoID, anURL, isThumbnail)
{
    var myPreloadHash = preloadHash.get(aPhotoID);
    var myKey = 'pic';
    
    if (isThumbnail == true)
        myKey = 'thumb';
        
    if (myPreloadHash == undefined)
        myPreloadHash = new Hash();
        
    var myIMG = new Image();
    
    myIMG.onload = function() {
        preloadIMGDidLoad(aPhotoID);
    };
                
    myIMG.src = anURL;
    
    myPreloadHash.set(myKey, myIMG);
    
    preloadHash.set(aPhotoID, myPreloadHash);
}

function preloadIMGDidLoad(aPhotoID)
{
    log('here in preloadIMGDidLoad aPhotoID is ' +aPhotoID);
}

function parseAttachmentNodes(attachmentNodes)
{
	var myAttachments = new Array();
	
	for (var i = 0; i < attachmentNodes.length; i++)
    {
		var myHash = new Hash();
        var myAtachment = attachmentNodes[i];
        
        var name = myAtachment.getAttribute("alt");
        var mediaType = myAtachment.getAttribute("medium");
        var url = myAtachment.getAttribute("url");
        		
		myHash.set('name', name);
		myHash.set('mediaType', mediaType);
		myHash.set('url', url);

		myAttachments[myAttachments.length] = myHash;
	}
		
	return myAttachments;
};

function parseLocationNodesForPhotoID(locationNodes, photoObjectID, locationObjectID)
{	
	var locationHash = placesHash.get(locationObjectID);
				
	if (!locationHash)
	{
		var name;
		var latitude;
		var longitude;
		var nodeName;
				
        for (var i = 0; i < locationNodes.length; i++)
        {
            nodeName = locationNodes[i].nodeName;
            
            //log('locationNodes[i] is ' +locationNodes[i].nodeName);
            
            if (nodeName == "georss:point")
            {
                latitude = locationNodes[i].childNodes[0].nodeValue.split(' ')[0];
                longitude = locationNodes[i].childNodes[0].nodeValue.split(' ')[1];
            }
                
            if (nodeName == "georss:featurename")
                name = locationNodes[i].childNodes[0].nodeValue;
        }

		locationHash = new Hash();
		
		//log('location name is ' +name +' lat is ' +latitude +' longitude is ' +longitude);
		
		locationHash.set('photoIDArray', new Array());
		locationHash.set('name', name);
		locationHash.set('latitude', latitude);
		locationHash.set('longitude', longitude);
		
		placesHash.set(locationObjectID, locationHash);
	}
		
	var locationPhotoIDArray = locationHash.get('photoIDArray');
	
	locationPhotoIDArray[locationPhotoIDArray.length] = photoObjectID;
};

function parseSelectionMarkerNodes(selectionMarkerNodes, photoUUID)
{
	var mySelectionMarkers = new Array();
	
	for (var i = 0; i < selectionMarkerNodes.length; i++)
    {
		var myHash = new Hash();
        var originX = parseFloat(selectionMarkerNodes[i].getAttribute("originX"));
        var originY = parseFloat(selectionMarkerNodes[i].getAttribute("originY"));
        var width = parseFloat(selectionMarkerNodes[i].getAttribute("width"));
        var height = parseFloat(selectionMarkerNodes[i].getAttribute("height"));
        var markerChildren = selectionMarkerNodes[i].childNodes;
        var x1 = originX;
        var y1 = originY;
        var x2 = (originX + width);
        var y2 = (originY + height);        
        var relativePersonIconPath;
        var personObjectID;
        var personName;
        var nodeName;
        var currentMarkerChild;
        
        for (var j = 0; j < markerChildren.length; j++)
        {
            currentMarkerChild = markerChildren[j];
            nodeName = currentMarkerChild.nodeName;
                                    
            if (nodeName == "annotation:person.name" && 
                (currentMarkerChild.childNodes.length > 0))
            {                
                personName = currentMarkerChild.childNodes[0].nodeValue;
            }
                
            if (nodeName == "annotation:person.uuid")
                personObjectID = currentMarkerChild.childNodes[0].nodeValue;

            if (nodeName == "annotation:person.thumbnailURL")
            {
                relativePersonIconPath = currentMarkerChild.childNodes[0].nodeValue;
                relativePersonIconPath = ('Thumbnails/' +relativePersonIconPath.split('/Thumbnails')[1]);
            }
        }
        
        var photoObjectID = photoUUID;
		var personObjectHash = peopleHash.get(personObjectID);
						
		if (personObjectHash == undefined)
		{			
			personObjectHash = new Hash();
			
			personObjectHash.set('photoIDArray', new Array());
			personObjectHash.set('personName', personName);
			personObjectHash.set('relativePersonIconURL', relativePersonIconPath);
			
			peopleHash.set(personObjectID, personObjectHash);
			
			processPersonIcon(relativePersonIconPath, personObjectID, personName, 'interactivePersonList', 'person-', 'loadPicturesForPersonID');
		}
		
		var personPhotoIDArray = personObjectHash.get('photoIDArray');
		
		personPhotoIDArray[personPhotoIDArray.length] = photoObjectID;
				
		myHash.set('x1', x1);
		myHash.set('x2', x2);
		myHash.set('y1', y1);
		myHash.set('y2', y2);
		myHash.set('relativePersonIconPath', relativePersonIconPath);
		myHash.set('personName', personName);
		myHash.set('personObjectID', personObjectID);

		mySelectionMarkers[mySelectionMarkers.length] = myHash;
	}
		
	return mySelectionMarkers;
};

function placeholderThumbDidLoad(aPhotoID, anIMG)
{
    //var myImage = $(anImgID);
    var myImage = anIMG;
    
    var myPhotoHash = getPhotoWithObjectID(aPhotoID);		
    var newURL = myPhotoHash.get('relativeThumbnailURL');

    //log('here in placeholderThumbDidLoad myImgID is ' +anImgID +' myImage parent id is ' +myImage.id);
    
    if (myImage == undefined)
    {
        log('in placeholderThumbDidLoad could not find image in dom using aPhotoID' +aPhotoID);
    }
    
    myImage.onload = undefined;
    myImage.src = newURL;
}

function processThumbnailUsingPhotoHash(aPhotoHash, aDivName, idPrefix, jsFunctionName)
{
    
    var scaleFactor = (parseFloat(aPhotoHash.get('pixelsHigh')) / THUMBNAIL_HEIGHT);
    var thumbWidth = (parseFloat(aPhotoHash.get('pixelsWide')) / scaleFactor);
    var thumbURL = aPhotoHash.get('relativeThumbnailURL');
    var photoID = aPhotoHash.get('objectID');
    
    processThumbnail(thumbURL, photoID, aDivName, idPrefix, jsFunctionName, thumbWidth);
}

function processThumbnail(aURL, aPhotoID, aDivName, idPrefix, jsFunctionName, thumbWidth)
{
    var myImgID = ('ph_' +aPhotoID)
    
    // IE's a piece of shit, and I can't figure out how to use appendChild with img
    // which have onload handlers
    if (isIE)
    {
        var myHTML = $(aDivName).innerHTML;
        
	   myHTML = myHTML + '<a id = \"' +idPrefix +aPhotoID +'\" href = javascript:' +jsFunctionName +'(\'' +aPhotoID +'\')><img height = ' +THUMBNAIL_HEIGHT +'width = ' +thumbWidth +' id=\"' +myImgID +'\" src = ' +aURL +' ></a>';
	   
	    $(aDivName).innerHTML = myHTML;
    }
    else
    {        
        var myLink = new Element('a');
        // +idPrefix +'_'
        myLink.id = (idPrefix +aPhotoID);
        myLink.href = ('javascript:' +jsFunctionName +'(\'' +aPhotoID +'\')');
    
        var myImage = new Image();
        myImage.id = myImgID;

        myImage.onload = function() {
           placeholderThumbDidLoad(aPhotoID, myImage);
        };
        //myImage.width = displayWidth;
        myImage.height = THUMBNAIL_HEIGHT;
        myImage.width = thumbWidth;
        
        myImage.src = 'images/transparent.gif';
    
        //log('$(aDivName) is ' +$(aDivName));
    
        $(aDivName).appendChild(myLink);
        
        //log('$(myLink.id) is ' +$(idPrefix +aPhotoID));
    
        myLink.appendChild(myImage);
    }            
};

function processPersonIcon(aURL, aPersonID, aPersonName, aDivName, idPrefix, jsFunctionName)
{		
    log('processPersonIcon aURL is ' +aURL);
    
	$(aDivName).innerHTML += '<a id = \"' +idPrefix +aPersonID +'\" href = \"javascript:' +jsFunctionName +'(\'' +idPrefix +aPersonID +'\')\"><img width = ' +PEOPLE_ICON_HEIGHT +' src = ' +aURL +' ></a><p>' +aPersonName +'</p>';
};

function getPhotoWithObjectID(aPhotoID)
{	
	for (var i = 0; i < photosArray.length; i++)
	{
		var myHash = photosArray[i];
		var myPhotoID = myHash.get('objectID');
				
		if (myPhotoID == aPhotoID)
		{
			return myHash;
		}
	}
	
	return false;
};

function getPhotosWithPersonID(aPersonID)
{
	var myPhotoArray = new Array();
	var myPersonPhotoIDArray = peopleHash.get(aPersonID).get('photoIDArray');
	
	for (var i = 0; i < myPersonPhotoIDArray.length; i++)
	{
		var myHash = getPhotoWithObjectID(myPersonPhotoIDArray[i]);
		
		myPhotoArray[myPhotoArray.length] = myHash;
	}	
	
	return myPhotoArray;
};

function indexOfPhotoWithID(aPhotoID)
{
	var myIndex = -1;
		
	for (var i = 0; i < currentlyDisplayedPhotos.length; i ++)
	{
		var myPhotoID = currentlyDisplayedPhotos[i].get('objectID');
		
		if (myPhotoID == aPhotoID)
		{
			return i;
		}
	}
	
	return myIndex;
};

function createHTTPRequest()
{
    var req = false;

    // branch for native XMLHttpRequest object
    if (isIE)
        req = new ActiveXObject("Microsoft.XMLHTTP")
    else
        req = new XMLHttpRequest();

    return req;
};

function getElementsWithNS(prefix, local, parentElem)
{
	var result;
    var startDate = new Date();

	//log('in getElementsWithNS prefix is ' +prefix +' local is ' +local);
	
	if (prefix && local && (isIE || isFF3)) 
	{
	   // IE/Windows way of handling namespaces
        result = parentElem.getElementsByTagName(prefix + ":" + local);
	} 
	else if (!local && prefix)
	{
        var possibleNodes = parentElem.childNodes;
        var matchingNodes = new Array();
        var aNode;
        var namespaceURI;

        for (var i = 0; i < possibleNodes.length; i++)
        {                   
            aNode = possibleNodes[i];
            namespaceURI = aNode.namespaceURI;
            
            if (namespaceURI && (namespaceURI.indexOf(prefix) >= 0))
            {
                //log('myNodeName which matches is ' +possibleNodes[i].nodeName);
                matchingNodes[matchingNodes.length] = aNode;
            }
        }
          
        result = matchingNodes;
	}
	else
	{
        result = parentElem.getElementsByTagName(local);
	}
	

	return result;
}

function getElementTextNS(prefix, local, parentElem, index, elementNameRestriction) 
{	
	var result = "";
	if (prefix && isIE) 
	{
	    // IE/Windows way of handling namespace
		result = parentElem.getElementsByTagName(prefix + ":" + local)[index];
	} 
	else 
	{
	// the namespace versions of this method
	// (getElementsByTagNameNS()) operate
	// differently in Safari and Mozilla, but both
	// return value with just local name, provided
	// there aren't conflicts with non-namespace element
	// names
		if (elementNameRestriction)
		{
			var possibleNodes = parentElem.getElementsByTagName(local);
		
			for (var j = 0; j < possibleNodes.length; j++)
			{
                var testNode = possibleNodes[j];
			     
				if ((testNode.parentNode.nodeName == elementNameRestriction) 
				    && (testNode.childNodes.length > 0))
				{
					return testNode.childNodes[0].nodeValue;
				}
			}
		}
		else
		{
			result = parentElem.getElementsByTagName(local).item(index);
		}
		
		if (result) 
		{
			// get text, accounting for possible
			// whitespace (carriage return) text nodes
			if (result.childNodes.length == 0) 
			{
				return "";
			}
			
			if (result.childNodes.length > 1) 
			{
				return result.childNodes[1].nodeValue;
			} 
			else 
			{
				return result.firstChild.nodeValue;
			}
		} 
		else 
		{
			return "";
		}
	}
};

function createDOMTreeFromRequest(aRequest)
{
    var myXMLData = aRequest.responseXML;
    
    log('myXMLData is ' +aRequest.responseXML);

    if (isIE)
    {
        var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
        xmlDoc.async="false";
        xmlDoc.loadXML(aRequest.responseText);

        myXMLData = xmlDoc;
    }

    return myXMLData;
}

function getBrowserLanguage()
{
	if (navigator.appVersion.indexOf("MSIE") >= 0)
		return navigator.browserLanguage.substring(0,2);
	else
		return navigator.language.substring(0,2);
}
